#include <bits/stdc++.h>

using namespace std;
int a[50020];
int n;
long long res;
int main()
{
    ios_base::sync_with_stdio(false);
    cin >> n;
    int q;
    int m;
    for (int i = 0; i < n; i++)
    {
        cin >> m;
        cin >> q;
        int b[50020];
        cin >> a[0];
        b[0] = a[0];
        res = 0;
        long long sum = 0;
        for (int j = 1; j < m; j++)
        {
            cin >> a[j];
            b[j] = b[j-1] + a[j];
            res += a[j];
        }
        res += a[0];
        for (int k = 2; k < m+1; k++)
        {
            for (int x = 1; x < m+1 - k; x++)
            {
                if (b[x+k-1] - b[x-1] >= (k+1) / 2)
                {
                    res += 1;
                }
            }
            if (b[k-1] >= (k+1) / 2)
            {
                res += 1;
            }

        }
     cout << res << ' ';
    }
    return 0;
}
